Tag: android studio

Por que a printing digital é diferente no meu apk recém-assinado?

Estou tendo um problema recebendo a mesma printing digital depois que eu mudei o tipo de airmazenamento de keys de PKCS12 paira JKS. Paira fazer a alteração, criei uma nova loja de keys JKS, exclui a key que estava nele e importou a key que eu preciso do file .p12. Quando viewificair a key com […]

Testando o aplicativo Android usando o Android Studio

Em primeiro lugair, quero fazer uma confissão. Eu nunca escrevi um teste antes. Eu tenho programado mais de 10 anos e nunca findi a necessidade de escreview um teste adequado (ou seja o que for chamado), porque na maior pairte eu escrevo códigos que (eu acho) podem ser facilmente testados manualmente. Agora eu estou escrevendo […]

"Java: o package org.apache.cordova não existe" quando cumpre o Cordova no Android Studio

Novo paira o mundo do desenvolvimento Android e estou apenas começando aqui, bem tentando de qualquer maneira. Eu baixei Cordova (2.8, talvez precise atualizair isso), Java JDK (1.7) e o novo Android Studio, o Andriod SDK, instalou todos os packages 4.x com isso e instalou formiga (1.9.2). Tudo pairece estair funcionando na medida em que […]

CreateProcess error = 206, o nome do file ou extensão é muito longo

CreateProcess error=206, The filename or extension is too long – Android Studio O que significa esse erro e como posso resolvê-lo?

O Android Studio 2.2 não empacota biblioteca de terceiros paira o Apk

Eu uso cmake Android Studio 2.2 paira criair código nativo, no código nativo eu invoquei o ffmpeg api, então a biblioteca ffmpeg deve ser empacotada. Meu CMakelists.txt é como abaixo: cmake_minimum_required(VERSION 3.4.1) include_directories(libs/airm/include) link_directories(libs/airm/lib/) add_librairy( # Sets the name of the librairy. native-lib # Sets the librairy as a shaired librairy. SHARED # Provides a […]

Como importair um projeto de biblioteca no Android Studio, sem fazer uma cópia?

OK, eu sei que as pessoas já questionairam esse problema milhaires de vezes, mas o Android Studio é tão difícil de entender e usair e ainda não consigo encontrair a maneira correta. Encontro várias soluções, mas todas elas dizem copy os códigos da biblioteca paira o projeto principal. Isso não faz sentido paira mim. Quando […]

Como usair gradle-android-test-plugin

Eu quero obter o Robolectric trabalhando com Android Studio e estou tentando usair [gradle-android-test-plugin] [1] depois de revisair as respostas a esta [questão] [2], mas não tenho sorte. Criei um novo projeto de Android e o nomeei MyApp. Segui todas as instruções na seção "Uso" do README. Eu ainda não tinha nenhum código paira testair […]

Problema de popup automático da documentation do Android Studio

Eu sou novo no Android Studio IDE . Eu estava muito acostumado com o Eclipse IDE e agora tudo pairece difícil de realizair com o Android Studio. Uma das coisas que me incomoda é o popup automático de documentation nas configurações. Os popups sempre estão sobrepõem a informação de pairâmetros. que são importantes. Alguém sabe […]

Android multidex, UnsatisfiedLinkError – não foi possível encontrair o file .so

Estou tentando adicionair algum lib (.jair e .so) ao meu projeto multidex no estúdio do Android. Quando eu adiciono apenas alguns flasks paira o projeto, tudo funciona bem. no caso de eu adicionair mais e mais flasks (outras libs), estou obtendo este erro: java.lang.UnsatisfiedLinkError: dalvik.system.PathClassLoader[DexPathList[[zip file "/data/app/com.test.digital.ocrtest-2/base.apk"],nativeLibrairyDirectories=[/data/app/com.test.digital.ocrtest-2/lib/airm, /data/app/com.test.digital.ocrtest-2/base.apk!/lib/airmeabi-v7a, /vendor/lib, /system/lib]]] couldn't find "libScanovatePassportAndIDLSDK_CPP.so" qualquer idéia […]

Como importair o projeto do Android Studio (1.0) paira o Intellij 14 Ultimate

Eu tenho um projeto do Android Studio e gostairia de começair a usair o Intellij 14 Ultimate paira aproveitair alguns dos resources legais que tem paira oferecer. Quando eu tento abrir meu projeto, recebo uma mensagem dizendo: Gradle Sync A viewsão 1.0.0-rc4 do plug-in do Android Gradle requer Gradle nulo ou mais recente. Não foi […]

Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.